SOLVED: I can't launch GoodNotes 4 or migrate GoodNotes 4 documents to GoodNotes 5, getting "GoodNotes 4 needs to be updated"

Was this article helpful?
5 out of 18 found this helpful